Subject: bug#26235: core-updates: update libreoffice to 5.3.1.2

From: Thomas Danckaert <[email-masked]>
Date: Sat, 25 Mar 2017 15:40:36 +0100

Marius Bakke <[email-masked]> writes:

> Have you tried building this on 'master'? It could be pushed there if
> it works with the current ICU as well.

I just tried, and it works (with just some basic testing, though) if I
add a

  (setenv "CXXFLAGS" "-Wno-error=shadow")

in the libzmf package.  Otherwise I get a compilation error.  This is
not required in core-updates, so my guess is that it's a spurious
warning in gcc-4.9 which was fixed since?

Is it worth doing this?  core-updates will be merged any day now, rite?
:0) If we do apply this on master, we should try to remember to remove
this flag when it's merged with core-updates.

Does anyone else want to try?  Building took roughly 1 hour 30 mins
(single core, 2.2GHz), so it's actually quite doable.

Thomas